import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity()
export class User {
  @PrimaryColumn({ type: 'varchar', length: 16 })
  ip: string;

  @Column('varchar', { length: 16, nullable: true })
  destination: string;

  @Column('smallint', { unsigned: true, nullable: true })
  remoteGatewayId: number;

  @Column('smallint', { unsigned: true, nullable: true })
  localGatewayId: number;
}
